iversality

Documentation

Universality Jobs API

Retrieve jobs from the Universality database using a simple HTTP GET request. Authenticate every request with your Universality API key.

Get jobs

Returns available jobs from the Universality database.

GEThttps://api.universality.com/v1/jobs

Authentication

Every request must include your API key using thekeyquery parameter.

GET https://api.universality.com/v1/jobs?key=YOUR_API_KEY

Keep your API key private.Never expose it in browser-side JavaScript, public repositories, or publicly accessible source code.

Query parameters

ParameterTypeDescription
keystringYour Universality API key.

Code examples

Use any HTTP-compatible language to request jobs from Universality. Below are examples for common server-side environments.

Python

Using requests

import requests
 
API_URL = "https://api.universality.online/v1/jobs"
API_KEY = "YOUR_API_KEY"
 
params = {
    "key": API_KEY
}
 
response = requests.get(
    API_URL,
    params=params,
    timeout=30
)
 
response.raise_for_status()
 
jobs = response.json()
 
for job in jobs["jobs"]:
    print(job["title"])

JavaScript

Node.js

const API_URL = "https://api.universality.com/v1/jobs";
const API_KEY = "YOUR_API_KEY";
 
const url = new URL(API_URL);
url.searchParams.set("key", API_KEY);
 
try{
    const response = await fetch(url);
 
    if(!response.ok) {
        throw new Error(
            `Universality API error: ${response.status} ${response.statusText}`
        );
    }
 
    const data = await response.json();
 
    for(const job of data.jobs) {
        console.log(job.title);
    }
} catch(error) {
    console.error("Failed to fetch jobs:", error);
}

PHP

cURL

<?php
 
$apiUrl = "https://api.universality.com/v1/jobs";
$apiKey = "YOUR_API_KEY";
 
$url = $apiUrl . "?key=" . urlencode($apiKey);
 
$ch = curl_init($url);
 
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_TIMEOUT => 30,
]);
 
$response = curl_exec($ch);
 
if($response === false) {
    throw new RuntimeException(
        curl_error($ch)
    );
}
 
curl_close($ch);
 
$data = json_decode($response, true);
 
foreach($data["jobs"] as $job) {
    echo $job["title"] . PHP_EOL;
}

Example response

A successful request returns job data in JSON format.

{
  "success": true,
  "count": 2,
  "jobs": [
    {
      "id": "job_8f42a1",
      "title": "Senior Full Stack Developer",
      "company": "Example Technologies",
      "location": "Remote",
      "source": "company-careers",
      "url": "https://example.com/jobs/8f42a1"
    },
    {
      "id": "job_21c9bd",
      "title": "Python Backend Engineer",
      "company": "Example Labs",
      "location": "Remote",
      "source": "job-board",
      "url": "https://example.com/jobs/21c9bd"
    }
  ]
}

Errors

StatusMeaning
401Invalid or missing API key.
403API access is not authorized.
429API request limit exceeded.
500Unexpected server error.

Ready to build with Universality?

Generate your API key from the API dashboard and start retrieving Universality job data from your application.